Bug 23397 - Jemmy2 - MouseVisualizer behaves different than in jemmy1
Jemmy2 - MouseVisualizer behaves different than in jemmy1
Status: CLOSED FIXED
Product: qa
Classification: Unclassified
Component: Code
3.x
Sun Solaris
: P1 (vote)
: TBD
Assigned To: issues@qa
issues@qa
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-13 12:07 UTC by Jiri Skrivanek
Modified: 2011-02-17 09:32 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Skrivanek 2002-05-13 12:07:14 UTC
In jemmy MouseVisualizer activated window by mouse
click on window title by in ROBOT mode. It was
used also to workaround activation problems on
Linux.
In jemmy2 MouseVisualizer uses driver given from
WindowOperator class which is MouseEventDriver as
default, AFAIK.
That's why it actually doesn't activate a window.
IMO, there should be used MouseRobotDriver.
Comment 1 Alexandre Iline 2002-05-14 08:01:25 UTC
Description is correct.
Fix:
------- MouseVisualizer.java -------
26a27,28
> import 
org.netbeans.jemmy.drivers.input.MouseRobotDriver;
> 
91c93
< 	    
DriverManager.getMouseDriver(WindowOperator.class).
---
> 	    new 
MouseRobotDriver(winOper.getTimeouts().create("EventDispatcher.RobotAutoDelay")).

Comment 2 Jiri Skrivanek 2002-05-14 09:32:44 UTC
Verified.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo